Linux

From sigrok
Revision as of 18:35, 3 January 2015 by Uwe Hermann (talk | contribs) (Moved some parts to Building, rework some others.)
Jump to: navigation, search

This page describes how to build/install the sigrok subprojects on Linux.

Distribution packages

See Downloads.

Building

IMPORTANT: The following sections on installing build requirements are distro-specific examples and may or may not be out of date, depending on which distro you use. Please check the official build requirements list in the wiki or the current libsigrok README for the full list of requirements.

libserialport

Installing the requirements:

Example on Debian/Ubuntu (please check your respective distro's package manager tool if you use other distros):

$ sudo apt-get install git-core gcc make autoconf automake libtool

Building:

$ git clone git://sigrok.org/libserialport
$ cd libserialport
$ ./autogen.sh
$ ./configure
$ make
$ sudo make install

libsigrok

Installing the requirements:

Example on Debian/Ubuntu (please check your respective distro's package manager tool if you use other distros):

$ sudo apt-get install git-core gcc g++ make autoconf autoconf-archive \
  automake libtool pkg-config libglib2.0-dev libglibmm-2.4-dev libzip-dev \
  libusb-1.0-0-dev libftdi-dev check doxygen \
  python-dev python-gi-dev python-setuptools swig default-jdk

Fedora (18, 19):

$ sudo yum install git gcc make autoconf automake libtool pkgconfig glib2-devel \
  libzip-devel libusb1-devel libftdi-devel check-devel

OpenSuSE (12.2):

$ zypper install git gcc make autoconf automake libtool pkg-config glib2-devel \
  libzip-devel libusb-1_0-devel libftdi1-devel check python3-devel

Building:

$ git clone git://sigrok.org/libsigrok
$ cd libsigrok
$ ./autogen.sh
$ ./configure
$ make
$ sudo make install

Please see Building#FAQ if you are sure that you installed all requirements properly but still encounter some issues.

libsigrokdecode

Installing the requirements:

Example on Debian/Ubuntu (please check your respective distro's package manager tool if you use other distros):

$ sudo apt-get install git-core gcc make autoconf automake libtool pkg-config libglib2.0-dev python3-dev

Fedora (18, 19, 20):

$ sudo yum install git gcc make autoconf automake libtool pkgconfig glib2-devel python3-devel check-devel

Building:

$ git clone git://sigrok.org/libsigrokdecode
$ cd libsigrokdecode
$ ./autogen.sh
$ ./configure
$ make
$ sudo make install

sigrok-cli

Installing the requirements:

Example on Debian/Ubuntu (please check your respective distro's package manager tool if you use other distros):

$ sudo apt-get install git-core gcc make autoconf automake libtool pkg-config libglib2.0-dev

Fedora (18, 19):

$ sudo yum install git gcc make autoconf automake libtool pkgconfig glib2-devel

OpenSuse (13.1):

$ zypper install git gcc make autoconf automake libtool pkgconfig glib2-devel

Building:

$ git clone git://sigrok.org/sigrok-cli
$ cd sigrok-cli
$ ./autogen.sh
$ ./configure
$ make
$ sudo make install

PulseView

Installing the requirements:

Example on Debian/Ubuntu (please check your respective distro's package manager tool if you use other distros):

$ sudo apt-get install git-core g++ make cmake libtool pkg-config \
  libglib2.0-dev libqt4-dev libboost-test-dev \
  libboost-filesystem-dev libboost-system-dev

Fedora (18, 19):

$ sudo yum install git gcc cmake libtool pkgconfig glib2-devel \
  boost-devel qt-devel boost-devel

Building:

$ git clone git://sigrok.org/pulseview
$ cd pulseview
$ cmake .
$ make
$ sudo make install

FAQ

Warning: AX_CXX_COMPILE_STDCXX_11 macro not found

See Building#Warning:_AX_CXX_COMPILE_STDCXX_11_macro_not_found.

Warning: AX_CXX_COMPILE_STDCXX_11 macro is too old

See Building#Warning:_AX_CXX_COMPILE_STDCXX_11_macro_is_too_old.

Cannot open shared object file: No such file or directory

See Building#Cannot_open_shared_object_file:_No_such_file_or_directory.